About Express-G entity-level and schema-level diagrams

Click to show or hide information. Show me an example

Entity-level and schema-level diagram

The Express-G template includes shapes for all the icons and symbols used in the Express-G notation for creating entity-level and schema-level diagrams.

Express-G is the graphical component of the Express formal information requirements specification language described in ISO standard 10303-11. Express and Express-G are components of STEP (Standard for the Exchange of Product Model Data), an international standard for the computer-interpretable representation and exchange of product data.

For information about Express, see Information Modeling the EXPRESS Way, by D. Schenck and P. Wilson (Oxford University Press, 1994).

Create an entity-level and schema-level diagram


Create an entity-level and schema-level diagram (Express-G notation)

Click to show or hide information. Show me an example

Express-G entity-level and schema-level diagram

  1. On the File menu, point to New, point to Database, and then click Express-G.
  2. Drag an Entity shape or a data shape (Base types, Enumerated type, Defined type, or Select type) onto the drawing page from the Express-G stencil.

Note To change the name or data type at any time, right-click the shape, and then click Set Entity Name or Set Data Type.

  3. Create an inter-schema reference by dragging a USED entity or a REFERENCED entity shape onto the drawing page.

Note To change the schema details at any time, right-click the shape, and then click Set Schema Details.

  4. Indicate relationships between entity, data, page reference, and other Express-G shapes by connecting the shapes using one of these connectors: Cardinality, Inverse cardinality, Normal r'ship, or Subtype/supertype.
  5. Indicate boundaries using Boundary shapes and schemas using Schema shapes.

Note You can assign entity and data shapes to one layer and relationship shapes to another, and then view or print the entity and relationship shapes with or without their relationships attached.


Continue diagrams on separate pages (Express-G notation)

  1. Create a new drawing page.
  2. Navigate to the page that contains the drawing you want to continue.
  3. Drag a To-page reference shape onto the drawing page from the Express-G stencil, positioning it near the edge of the drawing as the last shape.
  4. In the Custom Properties dialog box, for Page, type the page number of the new page (the page on which the diagram will be continued), and then click OK.
  5. Connect the To-page reference shape to the appropriate shape on the page using a connector from the Express-G stencil.
  6. Navigate to the new page.
  7. Drag a From-page reference shape onto the drawing page from the Express-G stencil, positioning it near the top of the drawing as the first shape.
  8. In the Custom Properties dialog box, for Page, type the page number of the previous page (the page from which the diagram is continued—the starting page), and then click OK.
  9. Connect the From-page reference shape to the appropriate shape on the page using a connector from the Express-G stencil.


Change the attributes of a relationship (Express-G notation)

Right-click a connector shape (Cardinality, Inverse cardinality, Normal r'ship, or Subtype/supertype), and then click Set Attributes.